Bug 517492 - Power Management Low Battery on T43
Summary: Power Management Low Battery on T43
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 11:31 UTC by dongjibing
Modified: 2010-12-05 06:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:36:29 UTC


Attachments (Terms of Use)

Description dongjibing 2009-08-14 11:31:25 UTC
Description of problem:
When battery level gets low on IBM ThinkPad T43 booting from LiveCD, system perform:
1.There is no warning on in the system tray when battery in low level, but sound warn rings
2.gnome-power-manager show battery 0.0%, however, the system do not suspent or shutdown.System hang up and the shell print message "think_pad_acpi: EMERGENCY WAKEUP: battery almost empty"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
system print warning message on desktop when battery level gets low.When the level become lower,system suspend or shutdown. 

Additional info:

Comment 1 Richard Hughes 2009-08-18 09:16:06 UTC
(In reply to comment #0)
> Description of problem:
> When battery level gets low on IBM ThinkPad T43 booting from LiveCD, system
> perform:
> 1.There is no warning on in the system tray when battery in low level, but
> sound warn rings
> 2.gnome-power-manager show battery 0.0%, however, the system do not suspent or
> shutdown.System hang up and the shell print message "think_pad_acpi: EMERGENCY
> WAKEUP: battery almost empty"
> 
> Version-Release number of selected component (if applicable):

?

> How reproducible:

?

> Steps to Reproduce:
> 1.
> 2.
> 3.

?

> Expected results:
> system print warning message on desktop when battery level gets low.When the
> level become lower,system suspend or shutdown. 
> 
> Additional info:  

What version DeviceKit-power? What version gnome-power-manager? You've given me practically no information.

Comment 2 Qian Cai 2009-08-26 15:15:05 UTC
It was using desktop-i386-20090811.17.iso LiveCD if that help.

dongjibing,

Would you mind booting that LiveCD again to check the versions of the above software mentioned?

Comment 3 dongjibing 2009-08-27 03:09:30 UTC
Yes,LiveCD is desktop-i386-20090811.17.iso and other components version are
 
DeviceKit-power-010-4.fc12.i686
gnome-power-manager-2.27.5-1.fc12.i686
kernel-2.6.31-0.125.rc5.git2.fc12.i686

Steps to reproduce:
   1. unplugged T43
   2. Lets the battery run low
   3. Watch how the system reacts

Comment 4 Bug Zapper 2009-11-16 11:27:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-11-04 10:30:00 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-12-05 06:36:29 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.